This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2022-07-24 16:01
Elapsed2m38s
Revision1c03a886619243af2f7abfc0dd14f1a4adb5f2fd

No Test Failures!


Error lines from build-log.txt

... skipping 138 lines ...
Setting /usr/bin/qemu-xtensa-static as binfmt interpreter for xtensa
Setting /usr/bin/qemu-xtensaeb-static as binfmt interpreter for xtensaeb
Setting /usr/bin/qemu-microblaze-static as binfmt interpreter for microblaze
Setting /usr/bin/qemu-microblazeel-static as binfmt interpreter for microblazeel
Setting /usr/bin/qemu-or1k-static as binfmt interpreter for or1k
Setting /usr/bin/qemu-hexagon-static as binfmt interpreter for hexagon
error: no builder "ingress-nginx" found
ingress-nginx
done
docker buildx build \
	--platform=linux/amd64,linux/arm,linux/arm64,linux/s390x --push \
	--progress=plain \
	--pull \
... skipping 136 lines ...
#32 3.423 (35/150) Installing pcre2 (10.40-r0)
#32 3.433 (36/150) Installing git (2.36.2-r0)
#32 3.571 (37/150) Installing alpine-sdk (1.0-r1)
#32 3.574 (38/150) Installing m4 (1.4.19-r1)
#32 3.580 (39/150) Installing libbz2 (1.0.8-r1)
#32 3.582 (40/150) Installing perl (5.34.1-r0)
#32 3.896 (41/150) Installing perl-error (0.17029-r1)
#32 3.900 (42/150) Installing perl-git (2.36.2-r0)
#32 3.906 (43/150) Installing git-perl (2.36.2-r0)
#32 3.910 (44/150) Installing autoconf (2.71-r0)
#32 3.932 (45/150) Installing automake (1.16.5-r0)
#32 3.956 (46/150) Installing bc (1.07.1-r1)
#32 3.961 (47/150) Installing bison (3.7.6-r0)
... skipping 43 lines ...
#32 6.753 (91/150) Installing libmaxminddb-dev (1.6.0-r1)
#32 6.757 (92/150) Installing libprotobuf (3.18.1-r2)
#32 6.783 (93/150) Installing libltdl (2.4.7-r0)
#32 6.787 (94/150) Installing libtool (2.4.7-r0)
#32 6.820 (95/150) Installing xz-dev (5.2.5-r1)
#32 6.831 (96/150) Installing libxml2-dev (2.9.14-r0)
#32 6.908 (97/150) Installing libgpg-error (1.45-r0)
#32 6.912 (98/150) Installing libgcrypt (1.10.1-r0)
#32 6.927 (99/150) Installing libxslt (1.1.35-r0)
#32 6.934 (100/150) Installing libxslt-dev (1.1.35-r0)
#32 6.945 (101/150) Installing linux-headers (5.16.7-r1)
#32 7.045 (102/150) Installing lmdb (0.9.29-r1)
#32 7.049 (103/150) Installing lmdb-dev (0.9.29-r1)
... skipping 336 lines ...
#18 20.94 (35/150) Installing pcre2 (10.40-r0)
#18 20.98 (36/150) Installing git (2.36.2-r0)
#18 21.84 (37/150) Installing alpine-sdk (1.0-r1)
#18 21.87 (38/150) Installing m4 (1.4.19-r1)
#18 21.90 (39/150) Installing libbz2 (1.0.8-r1)
#18 21.91 (40/150) Installing perl (5.34.1-r0)
#18 23.53 (41/150) Installing perl-error (0.17029-r1)
#18 23.54 (42/150) Installing perl-git (2.36.2-r0)
#18 23.55 (43/150) Installing git-perl (2.36.2-r0)
#18 23.56 (44/150) Installing autoconf (2.71-r0)
#18 23.68 (45/150) Installing automake (1.16.5-r0)
#18 23.76 (46/150) Installing bc (1.07.1-r1)
#18 23.78 (47/150) Installing bison (3.7.6-r0)
... skipping 105 lines ...
#25 22.20 (35/150) Installing pcre2 (10.40-r0)
#25 22.24 (36/150) Installing git (2.36.2-r0)
#25 23.13 (37/150) Installing alpine-sdk (1.0-r1)
#25 23.14 (38/150) Installing m4 (1.4.19-r1)
#25 23.16 (39/150) Installing libbz2 (1.0.8-r1)
#25 23.17 (40/150) Installing perl (5.34.1-r0)
#25 25.00 (41/150) Installing perl-error (0.17029-r1)
#25 25.01 (42/150) Installing perl-git (2.36.2-r0)
#25 25.02 (43/150) Installing git-perl (2.36.2-r0)
#25 25.03 (44/150) Installing autoconf (2.71-r0)
#25 25.17 (45/150) Installing automake (1.16.5-r0)
#25 25.27 (46/150) Installing bc (1.07.1-r1)
#25 25.30 (47/150) Installing bison (3.7.6-r0)
... skipping 85 lines ...
#18 34.91 (54/150) Installing lz4-libs (1.9.3-r1)
#18 34.93 (55/150) Installing zstd-libs (1.5.2-r1)
#18 34.97 (56/150) Installing libarchive (3.6.1-r0)
#18 35.02 (57/150) Installing rhash-libs (1.4.2-r2)
#18 35.04 (58/150) Installing libuv (1.44.1-r0)
#18 35.06 (59/150) Installing cmake (3.23.1-r0)
#18 35.84 ERROR: Failed to create usr/bin/cmake: Connection aborted
#18 35.84 ERROR: cmake-3.23.1-r0: IO ERROR
#18 35.85 (60/150) Installing skalibs (2.11.2.0-r0)
#18 36.14 (61/150) Installing utmps-libs (0.1.2.0-r0)
#18 36.15 (62/150) Installing coreutils (9.1-r0)
#18 36.25 (63/150) Installing openssl-dev (1.1.1q-r0)
#18 36.32 (64/150) Installing nghttp2-dev (1.47.0-r0)
#18 36.33 (65/150) Installing zlib-dev (1.2.12-r1)
... skipping 25 lines ...
#18 37.62 (91/150) Installing libmaxminddb-dev (1.6.0-r1)
#18 37.63 (92/150) Installing libprotobuf (3.18.1-r2)
#18 37.76 (93/150) Installing libltdl (2.4.7-r0)
#18 37.77 (94/150) Installing libtool (2.4.7-r0)
#18 37.87 (95/150) Installing xz-dev (5.2.5-r1)
#18 37.90 (96/150) Installing libxml2-dev (2.9.14-r0)
#18 38.34 (97/150) Installing libgpg-error (1.45-r0)
#18 38.35 (98/150) Installing libgcrypt (1.10.1-r0)
#18 38.42 (99/150) Installing libxslt (1.1.35-r0)
#18 38.45 (100/150) Installing libxslt-dev (1.1.35-r0)
#18 38.50 (101/150) Installing linux-headers (5.16.7-r1)
#18 38.86 (102/150) Installing lmdb (0.9.29-r1)
#18 38.87 (103/150) Installing lmdb-dev (0.9.29-r1)
... skipping 77 lines ...
#32 41.06 -- Detecting CXX compile features
#32 41.06 -- Detecting CXX compile features - done
#32 41.07 -- [hunter] Calculating Toolchain-SHA1
#32 ...

#11 [linux/s390x builder 3/3] RUN apk update   && apk upgrade   && apk add -U bash   && /build.sh
#11 32.27 (41/150) Installing perl-error (0.17029-r1)
#11 32.28 (42/150) Installing perl-git (2.36.2-r0)
#11 32.30 (43/150) Installing git-perl (2.36.2-r0)
#11 32.32 (44/150) Installing autoconf (2.71-r0)
#11 32.51 (45/150) Installing automake (1.16.5-r0)
#11 32.67 (46/150) Installing bc (1.07.1-r1)
#11 32.70 (47/150) Installing bison (3.7.6-r0)
#11 32.83 (48/150) Installing libffi (3.4.2-r1)
#11 32.88 (49/150) Installing xz-libs (5.2.5-r1)
#11 32.92 (50/150) Installing libxml2 (2.9.14-r0)
#11 33.19 (51/150) Installing llvm13-libs (13.0.1-r2)
#11 35.92 ERROR: Failed to create usr/lib/libLLVM-13.so: Connection aborted
#11 35.92 ERROR: llvm13-libs-13.0.1-r2: IO ERROR
#11 35.93 (52/150) Installing clang-libs (13.0.1-r1)
#11 ...

#25 [linux/arm/v7 builder 3/3] RUN apk update   && apk upgrade   && apk add -U bash   && /build.sh
#25 35.78 ERROR: Failed to create usr/lib/libclang.so.13.0.1: Connection aborted
#25 35.78 ERROR: clang-libs-13.0.1-r1: IO ERROR
#25 35.79 (53/150) Installing clang (13.0.1-r1)
#25 36.56 (54/150) Installing lz4-libs (1.9.3-r1)
#25 36.58 (55/150) Installing zstd-libs (1.5.2-r1)
#25 36.62 (56/150) Installing libarchive (3.6.1-r0)
#25 36.67 (57/150) Installing rhash-libs (1.4.2-r2)
#25 36.70 (58/150) Installing libuv (1.44.1-r0)
... skipping 32 lines ...
#25 41.56 (91/150) Installing libmaxminddb-dev (1.6.0-r1)
#25 41.56 (92/150) Installing libprotobuf (3.18.1-r2)
#25 41.71 (93/150) Installing libltdl (2.4.7-r0)
#25 41.72 (94/150) Installing libtool (2.4.7-r0)
#25 41.84 (95/150) Installing xz-dev (5.2.5-r1)
#25 41.89 (96/150) Installing libxml2-dev (2.9.14-r0)
#25 42.42 (97/150) Installing libgpg-error (1.45-r0)
#25 42.44 (98/150) Installing libgcrypt (1.10.1-r0)
#25 42.51 (99/150) Installing libxslt (1.1.35-r0)
#25 42.55 (100/150) Installing libxslt-dev (1.1.35-r0)
#25 42.59 (101/150) Installing linux-headers (5.16.7-r1)
#25 ...

... skipping 39 lines ...
#32 44.72 [ 62%] Performing configure step for 'thrift-Release'
#32 44.73 loading initial cache file /root/.hunter/_Base/d45d77d/d0c447a/3b7ee27/cache.cmake
#32 44.73 loading initial cache file /root/.hunter/_Base/d45d77d/d0c447a/3b7ee27/Build/thrift/args.cmake
#32 44.77 -- Parsed Thrift package version: 0.12.0
#32 44.77 -- Parsed Thrift version: 0.12.0 (0.2.0)
#32 44.85 -- The C compiler identification is GNU 11.2.1
ERROR: (gcloud.builds.submit) build 45568d1b-148c-4368-9114-5b49f377d35b completed with status "FAILURE"
#32 45.02 -- The CXX compiler identification is GNU 11.2.1
#32 45.04 -- Check for working C compiler: /usr/bin/cc - skipped
#32 45.04 -- Detecting C compile features
#32 45.04 -- Detecting C compile features - done
#32 45.05 -- Check for working CXX compiler: /usr/bin/c++ - skipped
#32 45.05 -- Detecting CXX compile features
... skipping 72 lines ...
#18 43.82 (147/150) Installing wget (1.21.3-r0)
#18 43.85 (148/150) Installing yajl (2.1.0-r4)
#18 43.86 (149/150) Installing yajl-dev (2.1.0-r4)
#18 43.87 (150/150) Installing yaml-cpp (0.7.0-r0)
#18 43.91 Executing busybox-1.35.0-r15.trigger
#18 43.96 Executing ca-certificates-20211220-r0.trigger
#18 44.55 1 error; 606 MiB in 167 packages
#18 ERROR: process "/bin/sh -c apk update   && apk upgrade   && apk add -U bash   && /build.sh" did not complete successfully: exit code: 1

#25 [linux/arm/v7 builder 3/3] RUN apk update   && apk upgrade   && apk add -U bash   && /build.sh
#25 43.03 (102/150) Installing lmdb (0.9.29-r1)
#25 43.04 (103/150) Installing lmdb-dev (0.9.29-r1)
#25 43.05 (104/150) Installing lmdb-tools (0.9.29-r1)
#25 43.06 (105/150) Installing gdbm (1.23-r0)
... skipping 41 lines ...
#25 49.24 (147/150) Installing wget (1.21.3-r0)
#25 49.30 (148/150) Installing yajl (2.1.0-r4)
#25 49.31 (149/150) Installing yajl-dev (2.1.0-r4)
#25 49.32 (150/150) Installing yaml-cpp (0.7.0-r0)
#25 49.35 Executing busybox-1.35.0-r15.trigger
#25 49.41 Executing ca-certificates-20211220-r0.trigger
#25 50.00 1 error; 450 MiB in 167 packages
#25 ERROR: process "/bin/sh -c apk update   && apk upgrade   && apk add -U bash   && /build.sh" did not complete successfully: exit code: 1

#11 [linux/s390x builder 3/3] RUN apk update   && apk upgrade   && apk add -U bash   && /build.sh
#11 45.63 (53/150) Installing clang (13.0.1-r1)
#11 47.10 (54/150) Installing lz4-libs (1.9.3-r1)
#11 47.13 (55/150) Installing zstd-libs (1.5.2-r1)
#11 47.19 (56/150) Installing libarchive (3.6.1-r0)
... skipping 9 lines ...
#25 49.24 (147/150) Installing wget (1.21.3-r0)
#25 49.30 (148/150) Installing yajl (2.1.0-r4)
#25 49.31 (149/150) Installing yajl-dev (2.1.0-r4)
#25 49.32 (150/150) Installing yaml-cpp (0.7.0-r0)
#25 49.35 Executing busybox-1.35.0-r15.trigger
#25 49.41 Executing ca-certificates-20211220-r0.trigger
#25 50.00 1 error; 450 MiB in 167 packages
------
------
 > [linux/arm64 builder 3/3] RUN apk update   && apk upgrade   && apk add -U bash   && /build.sh:
#18 43.69 (144/150) Installing findmnt (2.38-r1)
#18 43.70 (145/150) Installing libunistring (1.0-r0)
#18 43.80 (146/150) Installing libidn2 (2.3.2-r2)
#18 43.82 (147/150) Installing wget (1.21.3-r0)
#18 43.85 (148/150) Installing yajl (2.1.0-r4)
#18 43.86 (149/150) Installing yajl-dev (2.1.0-r4)
#18 43.87 (150/150) Installing yaml-cpp (0.7.0-r0)
#18 43.91 Executing busybox-1.35.0-r15.trigger
#18 43.96 Executing ca-certificates-20211220-r0.trigger
#18 44.55 1 error; 606 MiB in 167 packages
------
Dockerfile:18
--------------------
  17 |     
  18 | >>> RUN apk update \
  19 | >>>   && apk upgrade \
  20 | >>>   && apk add -U bash \
  21 | >>>   && /build.sh
  22 |     
--------------------
error: failed to solve: process "/bin/sh -c apk update   && apk upgrade   && apk add -U bash   && /build.sh" did not complete successfully: exit code: 1
make: *** [Makefile:37: build] Error 1
ERROR
ERROR: build step 0 "gcr.io/k8s-staging-test-infra/gcb-docker-gcloud:v20211118-2f2d816b90" failed: step exited with non-zero status: 2
--------------------------------------------------------------------------------

2022/07/24 16:03:51 Failed to run some build jobs: [error running [gcloud builds submit --verbosity info --config /home/prow/go/src/github.com/kubernetes/ingress-nginx/images/nginx/cloudbuild.yaml --substitutions _PULL_BASE_REF=main,_PULL_BASE_SHA=1c03a886619243af2f7abfc0dd14f1a4adb5f2fd,_GIT_TAG=v20220724-controller-v1.3.0-23-g1c03a8866 --project k8s-staging-ingress-nginx --gcs-log-dir gs://k8s-staging-ingress-nginx-gcb/logs --gcs-source-staging-dir gs://k8s-staging-ingress-nginx-gcb/source gs://k8s-staging-ingress-nginx-gcb/source/6d18541e-6176-4bd0-bfb5-bd2c8ca57e8d.tgz]: exit status 1]